Bug 1304343 - Katello agent alternatives via remote execution plugin
Katello agent alternatives via remote execution plugin
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Remote Execution (Show other bugs)
6.0.4
Unspecified Unspecified
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: Ivan Necas
Katello QA List
http://projects.theforeman.org/issues...
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-03 06:28 EST by Ivan Necas
Modified: 2016-08-23 12:15 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-23 12:15:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 10757 None None None 2016-04-22 10:59 EDT

  None (edit)
Description Ivan Necas 2016-02-03 06:28:39 EST
Katello-agent is not installed on any host any-more; Katello is migrated to use Developer API to content actions
Comment 1 Ivan Necas 2016-02-03 06:28:41 EST
Created from redmine issue http://projects.theforeman.org/issues/10757
Comment 2 Ivan Necas 2016-02-03 06:31:11 EST
The plan for 6.2 to is provide an alternative for the remote execution actions from the Katello UI. Since it's a commitment for 6.2, tracking it as a bug. There is not much left to have this completed.
Comment 4 Bryan Kearney 2016-02-04 18:06:19 EST
Upstream bug assigned to inecas@redhat.com
Comment 5 Bryan Kearney 2016-02-16 16:06:18 EST
Moving to POST since upstream bug http://projects.theforeman.org/issues/10757 has been closed
-------------
Ivan Necas
Applied in changeset commit:foreman_plugin|d9d17125b7e02fa6867ce7b0a3dc65aaac0f93fb.
Comment 8 Tazim Kolhar 2016-04-05 00:20:57 EDT
Hi,

  please provide verification steps
  thanks !!

Thanks and Regards,
Tazim
Comment 9 Ivan Necas 2016-04-05 03:54:17 EDT
Can this recording act as a good description for the verification steps or do you prefer the textual form?

https://www.youtube.com/watch?v=WfvKAFIPyJg&feature=youtu.be&t=1130
Comment 10 Tazim Kolhar 2016-04-05 09:23:34 EDT
FAILEDQA:
# rpm -q foreman
foreman-1.11.0.9-1.el7sat.noarch


Steps:
on Client

# rpm -qa katello-agent
katello-agent-2.2.6-1.el7sat.noarch

Make sure you have errata and packages available on client
Try to install some package zsh,acl via Remote execution

It fails

The details of the log are:

2016-04-05 09:19:37 [app] [I] Started POST "/katello/remote_execution" for 10.10.53.34 at 2016-04-05 09:19:37 -0400
2016-04-05 09:19:38 [app] [I] Processing by Katello::RemoteExecutionController#create as HTML
2016-04-05 09:19:38 [app] [I]   Parameters: {"name"=>"acl", "remote_action"=>"packageInstall", "host_ids"=>"10", "customize"=>"false", "authenticity_token"=>"c9YOly7Sc2qskiI/A42qLpU2QlcJ4I9G5tRJ8TKfx4o="}
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:38 [app] [D] Setting current organization thread-local variable to Default Organization
2016-04-05 09:19:38 [app] [D] Setting current location thread-local variable to none
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:38 [app] [I] Redirected to https://cisco-b200m1-03.rhts.eng.bos.redhat.com/job_invocations/4
2016-04-05 09:19:38 [app] [I] Completed 302 Found in 427ms (ActiveRecord: 64.2ms)
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to nil
2016-04-05 09:19:38 [app] [I] Started GET "/job_invocations/4" for 10.10.53.34 at 2016-04-05 09:19:38 -0400
2016-04-05 09:19:38 [app] [I] Processing by JobInvocationsController#show as HTML
2016-04-05 09:19:38 [app] [I]   Parameters: {"id"=>"4"}
2016-04-05 09:19:38 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:38 [app] [D] Setting current organization thread-local variable to Default Organization
2016-04-05 09:19:38 [app] [D] Setting current location thread-local variable to none
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_tab_overview.html.erb (85.2ms)
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_host_name_td.html.erb (1.9ms)
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_host_status_td.html.erb (1.6ms)
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_host_actions_td.html.erb (3.3ms)
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_tab_hosts.html.erb (23.9ms)
2016-04-05 09:19:39 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/show.html.erb within layouts/application (176.9ms)
2016-04-05 09:19:39 [app] [I]   Rendered layouts/_application_content.html.erb (1.1ms)
2016-04-05 09:19:39 [app] [D] Deface: 2 overrides found for 'home/_topbar'
2016-04-05 09:19:39 [app] [D] Deface: 'remove foreman name from topbar' matched 1 times with 'erb[loud]:contains('link_to')'
2016-04-05 09:19:39 [app] [I] Deface: [WARNING] No :original defined for 'remove foreman name from topbar', you should change its definition to include:
 |  :original => '6f86bcbd36e017373b168cc34f62c6deb016bb55' 
2016-04-05 09:19:39 [app] [D] Deface: 'add link to home' matched 1 times with 'erb[loud]:contains('image_tag')'
2016-04-05 09:19:39 [app] [I] Deface: [WARNING] No :original defined for 'add link to home', you should change its definition to include:
 |  :original => '7c247aee58a81a4e49096e83b6a14b07ec780462' 
2016-04-05 09:19:39 [app] [I]   Rendered home/_submenu.html.erb (3.7ms)
2016-04-05 09:19:39 [app] [I]   Rendered home/_user_dropdown.html.erb (3.0ms)
2016-04-05 09:19:39 [app] [I] Read fragment views/tabs_and_title_records-3 (0.2ms)
2016-04-05 09:19:39 [app] [I]   Rendered home/_topbar.html.erb (12.4ms)
2016-04-05 09:19:39 [app] [I]   Rendered layouts/base.html.erb (27.6ms)
2016-04-05 09:19:39 [app] [I] Completed 200 OK in 242ms (Views: 200.6ms | ActiveRecord: 15.8ms)
2016-04-05 09:19:39 [app] [I] Started POST "/foreman_tasks/api/tasks/callback" for 10.16.69.102 at 2016-04-05 09:19:39 -0400
2016-04-05 09:19:39 [app] [I] Processing by ForemanTasks::Api::TasksController#callback as HTML
2016-04-05 09:19:39 [app] [I]   Parameters: {"callback"=>{"task_id"=>"90d1ede4-ba41-4585-a33e-852203b6a39d", "step_id"=>3}, "data"=>{"result"=>[{"output_type"=>"debug", "output"=>"Error initializing command #<Proxy::RemoteExecution::Ssh::Dispatcher::Command:0x00000003a56b28>\nNet::SSH::AuthenticationFailed Authentication failed for user root@10.16.64.253", "timestamp"=>1459862379.3885489}], "exit_status"=>"EXCEPTION"}, "task"=>{}}
2016-04-05 09:19:39 [app] [D] Examining client certificate to extract dn and sans
2016-04-05 09:19:39 [app] [D] Client sent certificate with subject 'cisco-b200m1-03.rhts.eng.bos.redhat.com' and subject alt names '["cisco-b200m1-03.rhts.eng.bos.redhat.com"]'
2016-04-05 09:19:39 [app] [D] Verifying request from ["cisco-b200m1-03.rhts.eng.bos.redhat.com"] against ["cisco-b200m1-03.rhts.eng.bos.redhat.com"]
2016-04-05 09:19:39 [app] [D] Setting current user thread-local variable to foreman_api_admin
2016-04-05 09:19:39 [app] [D] Body: {"message":"processing"}
2016-04-05 09:19:39 [app] [I] Completed 200 OK in 58ms (Views: 0.9ms | ActiveRecord: 5.6ms)
2016-04-05 09:19:39 [app] [I] Started GET "/assets/job_invocations-f079e92744b55af1d247e064a15a9711f56c06165fea3cd2a7724ef2bf5b011a.css" for 10.10.53.34 at 2016-04-05 09:19:39 -0400
2016-04-05 09:19:39 [foreman-tasks/action] [E] Script execution failed
2016-04-05 09:19:39 [app] [I] Started GET "/assets/template_invocation-9117a6b7dcc7ac0b02f590094eea767faa2568d6a58e497eb9543477b7eece76.js" for 10.10.53.34 at 2016-04-05 09:19:39 -0400
2016-04-05 09:19:39 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:39 [app] [D] Setting current user thread-local variable to nil
2016-04-05 09:19:39 [foreman-tasks/action] [E] A sub task failed (RuntimeError)
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/with_sub_plans.rb:206:in `check_for_errors!'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/with_sub_plans.rb:125:in `try_to_finish'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/with_sub_plans.rb:21:in `block in run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:74:in `block in assigns'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `tap'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `assigns'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:56:in `match_value'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:36:in `block in match?'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `each'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `match?'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:23:in `match'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/with_sub_plans.rb:11:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/lib/actions/remote_execution/run_hosts_job.rb:49:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:506:in `block (3 levels) in execute_run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:30:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:30:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.14.1/app/lib/actions/middleware/keep_current_user.rb:30:in `block in run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.14.1/app/lib/actions/middleware/keep_current_user.rb:53:in `restore_curent_user'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/foreman-tasks-0.7.14.1/app/lib/actions/middleware/keep_current_user.rb:30:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/progress.rb:30:in `with_progress_calculation'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action/progress.rb:16:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.12/app/lib/actions/middleware/keep_locale.rb:11:in `block in run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.12/app/lib/actions/middleware/keep_locale.rb:22:in `with_locale'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/katello-3.0.0.12/app/lib/actions/middleware/keep_locale.rb:11:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:26:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:17:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware.rb:30:in `run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/stack.rb:22:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/middleware/world.rb:30:in `execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:505:in `block (2 levels) in execute_run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:504:in `catch'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:504:in `block in execute_run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `block in with_error_handling'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `catch'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:419:in `with_error_handling'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:499:in `execute_run'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/action.rb:260:in `execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in `block (2 levels) in execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract.rb:155:in `with_meta_calculation'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in `block in execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:in `open_action'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in `execute'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/executors/parallel/worker.rb:15:in `block in on_message'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:74:in `block in assigns'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `tap'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matchers/abstract.rb:73:in `assigns'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:56:in `match_value'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:36:in `block in match?'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `each'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:35:in `match?'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/algebrick-0.7.3/lib/algebrick/matching.rb:23:in `match'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/executors/parallel/worker.rb:12:in `on_message'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/context.rb:46:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/executes_context.rb:7:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/dynflow-0.8.10/lib/dynflow/actor.rb:26:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/awaits.rb:15:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/buffer.rb:38:in `process_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/buffer.rb:31:in `process_envelopes?'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/buffer.rb:20:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/termination.rb:55:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/removes_child.rb:10:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/abstract.rb:25:in `pass'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/behaviour/sets_results.rb:14:in `on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/core.rb:161:in `process_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/core.rb:95:in `block in on_envelope'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/core.rb:118:in `block (2 levels) in schedule_execution'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `block in synchronize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/synchronization/mri_lockable_object.rb:38:in `synchronize'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-edge-0.2.0/lib/concurrent/actor/core.rb:115:in `block in schedule_execution'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/serialized_execution.rb:18:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/serialized_execution.rb:18:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/serialized_execution.rb:96:in `work'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/serialized_execution.rb:77:in `block in call_job'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:333:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:333:in `run_task'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:322:in `block (3 levels) in create_worker'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:305:in `loop'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:305:in `block (2 levels) in create_worker'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:304:in `catch'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/concurrent-ruby-1.0.0/lib/concurrent/executor/ruby_thread_pool_executor.rb:304:in `block in create_worker'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
 | /opt/theforeman/tfm/root/usr/share/gems/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'
2016-04-05 09:19:39 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:39 [app] [D] Setting current user thread-local variable to nil
2016-04-05 09:19:41 [app] [I] Started GET "/job_invocations/4?hosts_needs_refresh=&host_ids_needing_status_update%5B%5D=10&_=1459862379941" for 10.10.53.34 at 2016-04-05 09:19:41 -0400
2016-04-05 09:19:41 [app] [I] Processing by JobInvocationsController#show as JS
2016-04-05 09:19:41 [app] [I]   Parameters: {"hosts_needs_refresh"=>"", "host_ids_needing_status_update"=>["10"], "_"=>"1459862379941", "id"=>"4"}
2016-04-05 09:19:41 [app] [D] Setting current user thread-local variable to admin
2016-04-05 09:19:41 [app] [D] Setting current organization thread-local variable to Default Organization
2016-04-05 09:19:41 [app] [D] Setting current location thread-local variable to none
2016-04-05 09:19:41 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/_host_status_td.html.erb (7.8ms)
2016-04-05 09:19:41 [app] [I]   Rendered /opt/theforeman/tfm/root/usr/share/gems/gems/foreman_remote_execution-0.3.0.2/app/views/job_invocations/show.js.erb (87.8ms)
2016-04-05 09:19:41 [app] [I] Completed 200 OK in 185ms (Views: 113.6ms | ActiveRecord: 12.2ms)
Comment 12 Stephen Benjamin 2016-08-23 12:15:34 EDT
Remote execution feature was delivered in Satellite 6.2

Note You need to log in before you can comment on or make changes to this bug.